develooper Front page | perl.perl5.porters | Postings from July 2020

Re: RFC: freeze bison version with docker container

Thread Previous | Thread Next
From:
ilmari
Date:
July 27, 2020 16:02
Subject:
Re: RFC: freeze bison version with docker container
Message ID:
87sgddhroo.fsf@wibble.ilmari.org
"Paul \"LeoNerd\" Evans" <leonerd@leonerd.org.uk> writes:

> OP is also pointing out that developing perl currently requires a
> version of bison older than is in debian/testing. I cannot develop perl
> on my own laptop right now without manually installing an old bison in
> /usr/local, because the one shipped by debian is too new for regen_perly

Does this need more than just bumping the version check in
regen/regen_perly.pl?  I bumped the maximum from 3.0 to 3.4 in July last
year, which was current in Debian unstable at the time.  We could even
be optimistic and allow any 3.x version, under the presumption that any
incompatible change would be a new major version.

There is the slight annoyance that regenerating the grammar with varying
Bison versions cause noise changes in the generated files, but I don't
think anyone has complained about that.

- ilmari
-- 
"A disappointingly low fraction of the human race is,
 at any given time, on fire." - Stig Sandbeck Mathisen

Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About